%    This file is part of VISIR-1.b.
%
%    VISIR-1.b is free software: you can redistribute it and/or modify
%    it under the terms of the GNU Lesser General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    VISIR-1.b is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU Lesser General Public License for more details.
%
%    You should have received a copy of the GNU Lesser General Public License
%    along with VISIR-1.b.  If not, visit <https://www.gnu.org/licenses/lgpl.txt>.
%
function [theta]=dir_on_grid_from_coord(p_I, p_J)
%
% computes direction between nodes I and J
% of a any grid (Cartesian or polar, regular or unstructured)
%
% angles are expressed in degrees,
% starting from North and going clockwise (wave+current convention)
%

global const

dy= p_J(:,2) - p_I(:,2);
dx= p_J(:,1) - p_I(:,1);


% please keep this order of arguments dx, dy:
theta = atan2d(dx, dy);

theta = mod(theta, 2 * const.pi2deg);
